This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 199524 - libsigsegv 2.3 is known to be buggy, upgrade to 2.4
libsigsegv 2.3 is known to be buggy, upgrade to 2.4
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: libsigsegv (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 199525
  Show dependency treegraph
 
Reported: 2006-07-20 00:10 EDT by Sam Steingold
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-24 14:58:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Sam Steingold 2006-07-20 00:10:47 EDT
Description of problem:

libsigsegv 2.3 is known to be buggy, upgrade to 2.4
then rebuild the packages that rely in libsigsegv
notably clisp

Version-Release number of selected component (if applicable):

2.3 ---> 2.4
Comment 1 Sam Steingold 2006-07-20 00:19:49 EDT
this is a critical issue: this broken libsigsegv prevents CLISP from catting
infinite recursion:
[1]> (defun f () (f))
F
[2]> (f)
Segmentation fault

with libsigsegv 2.4 the infinite recursion is caught.
Comment 2 Rex Dieter 2006-07-24 14:58:38 EDT
%changelog
* Thu Jul 20 2006 Rex Dieter <rexdieter[AT]users.sf.net> 2.4-1
- 2.4

Note You need to log in before you can comment on or make changes to this bug.